FOREIGN_FITS_WRITE_DATA(3)

EXPERIMENTAL_FUNC
foreign_fits_write_data - Write data to a FITS file.

SYNOPSIS
#include <karma_foreign.h>

flag foreign_fits_write_data

(Channel channel, multi_array *multi_desc, CONST packet_desc *header_pack_desc, CONST char *header_packet, char *data, uaddr num_values, ...)

DESCRIPTION
This routine will write the data section of a FITS file to a channel. The header section is NOT written.

channel
    The channel to write to.

multi_desc
    The Karma data structure containing the data.

header_pack_desc
    The header packet descriptor.

header_packet
    The header packet data.

data
    An alternate data array to read the data from. If this is NULL, the routine will read the data from the Karma data structure.

num_values
    The number of values to write to the FITS file. This is only used when data is not NULL.

... The optional attributes are given as pairs of attribute-key attribute-value pairs. This list must be terminated with FA_FITS_WRITE_DATA_END. See <-foreign_ATT_FITS_WRITE_DATA-> for a list of defined attributes.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/